%define module	Curses-UI-POE

Name:		perl-%{module}
Version:	0.031
Release:	%mkrel 1
Summary:	A subclass makes Curses::UI POE Friendly
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source0:	http://www.cpan.org/modules/by-module/Curses/%{module}-%{version}.tar.gz

Patch1:     rt-fix-19681.patch

%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildrequires:	perl(Curses::UI)
Buildrequires:	perl(POE)
Buildarch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Epoch: 1

%description
This is a subclass for Curses::UI that enables it to work with POE. It is
designed to simply slide over Curses::UI. Keeping the API the same and simply
forcing Curses::UI to do all of its event handling via POE, instead of internal
to itself. This allows you to use POE behind the scenes for things like
networking clients, without Curses::UI breaking your programs' functionality.

%prep

%setup -q -n %{module}-%{version}
%patch1 -p0 -b .19681
# this one doesn't pass during rpm building
rm -f t/session.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc CHANGES
%{perl_vendorlib}/Curses
%{_mandir}/*/*


%changelog
* Wed Jan 21 2009 Jérôme Quelin <jquelin@mandriva.org> 1:0.031-1mdv2009.1
+ Revision: 332116
- bumping epoch, to force new version
- applying fix for rt #19681, not yet included upstream

  + Oden Eriksson <oeriksson@mandriva.org>
    - 0.031

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jun 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.02801-1mdv2008.0
+ Revision: 39291
- import error
- import perl-Curses-UI-POE


* Tue Feb 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.02801-1mdv2007.1
- initial mdv release
